> ## Documentation Index
> Fetch the complete documentation index at: https://developer.oplog.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Query SalesOrders.



## OpenAPI

````yaml /api-reference/openapi.json get /openapi/v1/SalesOrders
openapi: 3.0.1
info:
  title: OmniServices Web API
  version: v1
servers:
  - url: https://api.oplog.one
    description: Production Server
  - url: https://api.staging.oplog.one
    description: Staging Server
security:
  - Authorization: []
paths:
  /openapi/v1/SalesOrders:
    get:
      tags:
        - SalesOrders
      summary: Query SalesOrders.
      parameters:
        - name: dqb
          in: query
          description: DynamicQuery
          schema:
            type: string
        - name: X-Tenant-Id
          in: header
          description: If you want to emulate, please enter TenantId.
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/SalesOrderDetailResponseDTODynamicQueryPagedDTO
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SalesOrderDetailResponseDTODynamicQueryPagedDTO
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/SalesOrderDetailResponseDTODynamicQueryPagedDTO
components:
  schemas:
    SalesOrderDetailResponseDTODynamicQueryPagedDTO:
      required:
        - count
        - dataSetCount
        - offset
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/SalesOrderDetailResponseDTO'
        count:
          type: integer
          format: int32
        offset:
          type: integer
          format: int32
        dataSetCount:
          type: integer
          format: int32
      additionalProperties: false
    SalesOrderDetailResponseDTO:
      type: object
      properties:
        id:
          type: string
          format: uuid
        referenceNumber:
          type: string
        salesChannel:
          type: string
        approvedShipments:
          type: boolean
        state:
          $ref: '#/components/schemas/SalesOrderState'
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        orderCreatedAt:
          type: string
          format: date-time
        pickedAt:
          type: string
          format: date-time
        packedAt:
          type: string
          format: date-time
        cancelledAt:
          type: string
          format: date-time
        shippedAt:
          type: string
          format: date-time
        deliveredAt:
          type: string
          format: date-time
        customer:
          $ref: '#/components/schemas/CustomerSummaryResponseDTO'
        shippingAddress:
          $ref: '#/components/schemas/AddressDetailResponseDTO'
        billingAddress:
          $ref: '#/components/schemas/AddressDetailResponseDTO'
        shippingInfo:
          $ref: '#/components/schemas/ShippingInfoOfSalesOrderResponseDTO'
        lineItems:
          type: array
          items:
            $ref: '#/components/schemas/LineItemOfSalesOrderResponseDTO'
        integration:
          $ref: '#/components/schemas/IntegrationDetailResponseDTO'
        payment:
          $ref: '#/components/schemas/SalesOrderPaymentResponseDTO'
        cargo:
          $ref: '#/components/schemas/SalesOrderCargoResponseDTO'
        vas:
          $ref: '#/components/schemas/SalesOrderVASResponseDTO'
        packages:
          type: array
          items:
            $ref: '#/components/schemas/SalesOrderPackageResponseDTO'
        approved:
          type: boolean
      additionalProperties: false
    SalesOrderState:
      enum:
        - Cancelled
        - Created
        - Picked
        - Packed
        - ReadyToBeShipped
        - Shipped
        - Delivered
      type: string
    CustomerSummaryResponseDTO:
      type: object
      properties:
        email:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        phone:
          type: string
        id:
          type: string
          format: uuid
        customerNo:
          type: integer
          format: int32
        createdAt:
          type: string
          format: date-time
      additionalProperties: false
    AddressDetailResponseDTO:
      type: object
      properties:
        addressNo:
          type: integer
          format: int32
        id:
          type: string
          format: uuid
        addressFirstName:
          type: string
        addressLastName:
          type: string
        company:
          type: string
        addressOne:
          type: string
        addressTwo:
          type: string
        district:
          type: string
        city:
          type: string
        postalCode:
          type: string
        country:
          type: string
        addressPhone:
          type: string
        taxOffice:
          type: string
        taxNumber:
          type: string
      additionalProperties: false
    ShippingInfoOfSalesOrderResponseDTO:
      type: object
      properties:
        shippingCompany:
          type: string
        shippingTrackingId:
          type: string
        shippingState:
          type: string
        trackingUrl:
          type: string
      additionalProperties: false
    LineItemOfSalesOrderResponseDTO:
      type: object
      properties:
        id:
          type: string
          format: uuid
        sku:
          type: string
        barcodes:
          type: array
          items:
            type: string
        salePrice:
          type: number
          format: double
        currency:
          $ref: '#/components/schemas/Currency'
        imageUrl:
          type: string
        productName:
          type: string
        productType:
          $ref: '#/components/schemas/ProductType'
        productCategory:
          type: string
        amountInOrder:
          type: integer
          format: int32
        missingQuantity:
          type: integer
          format: int32
        cancelledAmount:
          type: integer
          format: int32
        productSalePrice:
          type: number
          format: double
        productTaxRatio:
          type: number
          format: double
        productDiscount:
          type: number
          format: double
      additionalProperties: false
    IntegrationDetailResponseDTO:
      type: object
      properties:
        integrationType:
          $ref: '#/components/schemas/IntegrationType'
        integrationName:
          type: string
      additionalProperties: false
    SalesOrderPaymentResponseDTO:
      type: object
      properties:
        paymentOption:
          $ref: '#/components/schemas/PaymentOption'
        totalPaymentAmount:
          type: number
          format: double
        currency:
          $ref: '#/components/schemas/Currency'
      additionalProperties: false
    SalesOrderCargoResponseDTO:
      type: object
      properties:
        requestedCargoCarrier:
          type: string
        cargoDocumentUrl:
          type: string
          readOnly: true
        cargoCode:
          type: string
          readOnly: true
        cargoType:
          $ref: '#/components/schemas/CargoType'
      additionalProperties: false
    SalesOrderVASResponseDTO:
      type: object
      properties:
        packageNote:
          type: string
        gift:
          $ref: '#/components/schemas/SalesOrderGiftVASResponseDTO'
        document:
          $ref: '#/components/schemas/SalesOrderDocumentVASResponseDTO'
      additionalProperties: false
    SalesOrderPackageResponseDTO:
      type: object
      properties:
        referenceNumber:
          type: string
        state:
          $ref: '#/components/schemas/PackageState'
        invoiceURL:
          type: string
        lineItems:
          type: array
          items:
            $ref: '#/components/schemas/LineItemOfPackageResponseDTO'
        shippingInfo:
          $ref: '#/components/schemas/ShippingInfoOfSalesOrderResponseDTO'
      additionalProperties: false
    Currency:
      enum:
        - TRY
        - USD
        - EUR
        - GBP
        - RUB
        - UAH
        - UNSUPPORTED
        - AFN
        - ALL
        - AOA
        - ARS
        - AMD
        - AWG
        - AZN
        - BSD
        - BHD
        - BDT
        - BBD
        - BYN
        - BZD
        - BMD
        - BTN
        - BOB
        - BAM
        - BWP
        - BRL
        - BGN
        - BIF
        - KHR
        - CAD
        - CVE
        - KYD
        - CLP
        - CNY
        - COP
        - KMF
        - CDF
        - CRC
        - HRK
        - CUP
        - CZK
        - DJF
        - DOP
        - EGP
        - ERN
        - SZL
        - ETB
        - FKP
        - FJD
        - XAF
        - GMD
        - GEL
        - GHS
        - GIP
        - DKK
        - GTQ
        - GNF
        - GYD
        - HTG
        - HNL
        - HUF
        - ISK
        - INR
        - IDR
        - IRR
        - IQD
        - JMD
        - JPY
        - KZT
        - KES
        - KPW
        - KRW
        - KWD
        - KGS
        - LAK
        - LBP
        - LSL
        - LRD
        - LYD
        - MOP
        - HKD
        - MGA
        - MWK
        - MYR
        - MVR
        - MUR
        - MXN
        - MDL
        - MNT
        - MZN
        - MMK
        - NAD
        - NPR
        - NIO
        - NGN
        - MKD
        - NOK
        - OMR
        - PKR
        - ILS
        - JOD
        - PAB
        - PGK
        - PYG
        - PEN
        - PHP
        - NZD
        - PLN
        - QAR
        - RON
        - RWF
        - DZD
        - MRU
        - MAD
        - SHP
        - XCD
        - WST
        - STN
        - SAR
        - RSD
        - SCR
        - SLL
        - SGD
        - BND
        - ANG
        - SBD
        - SOS
        - ZAR
        - SSP
        - LKR
        - SDG
        - SRD
        - SEK
        - CHF
        - SYP
        - TWD
        - TJS
        - TZS
        - THB
        - XOF
        - TOP
        - TTD
        - TND
        - TMT
        - AUD
        - UGX
        - AED
        - UYU
        - UZS
        - VUV
        - VES
        - VED
        - VND
        - XPF
        - YER
        - ZMW
      type: string
    ProductType:
      enum:
        - Product
        - Bundle
      type: string
    IntegrationType:
      enum:
        - CudExcludedIntegrations
        - SyncExcludedIntegrations
        - InventoryNotificationExcludedIntegrations
        - FulfillmentNotificationExcludedIntegrations
        - FulfillmentNotificationViaPackage
        - CreatePackageByQuantity
        - Oplog
        - Shopify
        - OpenApi
        - Custom
        - WooCommerce
        - Ticimax
        - TSoft
        - Default
        - Entegra
        - Trendyol
        - OrderDesk
        - Sentos
      type: string
    PaymentOption:
      enum:
        - Paid
        - Cash
        - CreditCard
      type: string
    CargoType:
      enum:
        - RegularDelivery
        - SameDayDelivery
        - ScheduledDelivery
        - ManualDelivery
      type: string
    SalesOrderGiftVASResponseDTO:
      type: object
      properties:
        wrap:
          type: boolean
          readOnly: true
        notes:
          type: string
          readOnly: true
      additionalProperties: false
      required:
        - wrap
    SalesOrderDocumentVASResponseDTO:
      type: object
      properties:
        documentUrl:
          type: string
          readOnly: true
      additionalProperties: false
    PackageState:
      enum:
        - Cancelled
        - Created
        - Picked
        - Packed
        - ReadyToBeShipped
        - Shipped
        - Delivered
      type: string
    LineItemOfPackageResponseDTO:
      type: object
      properties:
        sku:
          type: string
        barcodes:
          type: array
          items:
            type: string
        amountInPackage:
          type: integer
          format: int32
        serialNumbers:
          type: string
        productSalePrice:
          type: number
          format: double
        productTaxRatio:
          type: number
          format: double
        productDiscount:
          type: number
          format: double
      additionalProperties: false
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization

````